# © 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
import odoo.tests
from odoo.tests import TransactionCase


@odoo.tests.tagged("external", "-standard")
class TestGeoLocalize(TransactionCase):
    def test_default_adressedatagouv(self):
        """Test that adressedatagouv localize service works."""
        test_partner = self.env.ref("base.res_partner_2")
        test_partner.geo_localize()
        self.assertTrue(test_partner.partner_longitude)
        self.assertTrue(test_partner.partner_latitude)
        self.assertTrue(test_partner.date_localization)

        # we don't check here that the localization is at right place
        # but just that result is realistic float coordonates
        self.assertTrue(float(test_partner.partner_longitude) != 0.0)
        self.assertTrue(float(test_partner.partner_latitude) != 0.0)
